Update Activity Logs
curl --request POST \
--url https://api.velt.dev/v2/activities/update \
--header 'Content-Type: application/json' \
--header 'x-velt-api-key: <x-velt-api-key>' \
--header 'x-velt-auth-token: <x-velt-auth-token>' \
--data '
{
"data": {
"organizationId": "<string>",
"activities": [
{
"id": "<string>",
"changes": {},
"entityData": "<any>",
"entityTargetData": "<any>",
"displayMessageTemplate": "<string>",
"displayMessageTemplateData": {},
"actionIcon": "<string>"
}
]
}
}
'import requests
url = "https://api.velt.dev/v2/activities/update"
payload = { "data": {
"organizationId": "<string>",
"activities": [
{
"id": "<string>",
"changes": {},
"entityData": "<any>",
"entityTargetData": "<any>",
"displayMessageTemplate": "<string>",
"displayMessageTemplateData": {},
"actionIcon": "<string>"
}
]
} }
headers = {
"x-velt-api-key": "<x-velt-api-key>",
"x-velt-auth-token": "<x-velt-auth-token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-velt-api-key': '<x-velt-api-key>',
'x-velt-auth-token': '<x-velt-auth-token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
data: {
organizationId: '<string>',
activities: [
{
id: '<string>',
changes: {},
entityData: '<any>',
entityTargetData: '<any>',
displayMessageTemplate: '<string>',
displayMessageTemplateData: {},
actionIcon: '<string>'
}
]
}
})
};
fetch('https://api.velt.dev/v2/activities/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": {
"status": "success",
"message": "Activity(s) updated successfully.",
"data": {
"activity-001": {
"success": true,
"message": "Activity updated."
}
}
}
}
Activity Logs
Update Activity Logs
POST
/
v2
/
activities
/
update
Update Activity Logs
Use this API to update existing activity log records within an organization.
Endpoint
POST https://api.velt.dev/v2/activities/update
Headers
string
required
Your API key.
string
required
Your Auth Token.
Body
Params
object
required
Show properties
Show properties
string
required
Organization ID
object[]
required
Array of activity log objects to update. Each must include the activity log
id.Show properties
Show properties
string
required
Activity log ID to update.
object
Map of field names to
{ from, to } objects describing what changed.any
Updated snapshot of the entity.
any
Updated snapshot of the target entity.
string
Updated message template string. Use
{{variable}} syntax for dynamic values.object
Updated key-value data to populate
displayMessageTemplate variables.string
Updated URL or identifier for the action icon.
Example Requests
Update a single activity log’s display message
{
"data": {
"organizationId": "org-123",
"activities": [
{
"id": "activity-001",
"displayMessageTemplate": "{{user}} updated the comment"
}
]
}
}
Update multiple activities
{
"data": {
"organizationId": "org-123",
"activities": [
{
"id": "activity-001",
"displayMessageTemplate": "{{user}} updated the comment",
"displayMessageTemplateData": {
"user": {
"userId": "user-1",
"name": "User Name"
}
}
},
{
"id": "activity-002",
"actionIcon": "https://example.com/icons/edit.svg"
}
]
}
}
Response
Success Response
{
"result": {
"status": "success",
"message": "Activity(s) updated successfully.",
"data": {
"activity-001": {
"success": true,
"message": "Activity updated."
}
}
}
}
When some activities are not found
{
"result": {
"status": "success",
"message": "Activity(s) updated successfully.",
"data": {
"activity-001": {
"success": false,
"message": "Failed to update activity."
},
"activity-002": {
"success": true,
"message": "Activity updated."
}
}
}
}
Failure Response
{
"error": {
"message": "ERROR_MESSAGE",
"status": "INVALID_ARGUMENT"
}
}
{
"result": {
"status": "success",
"message": "Activity(s) updated successfully.",
"data": {
"activity-001": {
"success": true,
"message": "Activity updated."
}
}
}
}
Was this page helpful?
⌘I

